import 'package:yflutter_widgets/configs/colors_config.dart';
import 'package:yflutter_widgets/widgets/tagsgridview/ytags_grid_view.dart';
import 'package:yflutter_widgets/widgets/ycustom_card.dart';
import 'package:flutter/material.dart';

class CardDemo extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Card Demo"),
      ),
      body: Center(
        child: YCustomCard(
          sEdgeInsets: EdgeInsets.only(left: 16, top: 20, right: 16),
          insideWidget: YTagsGridView(
            tagList: ["1", "2", "3", "4", "5"],
            selectedIndex: 0,
            selectable: true,
          ),
        ),
      ),
    );
  }
}
