import 'package:yflutter_widgets/widgets/listview/ylvheaders/ylvzoomheaderdelegate.dart';
import 'package:flutter/material.dart';

class YLVZoomHeader extends StatelessWidget {
  YLVZoomHeader({
    @required this.insideWidget,
    this.minHeight = 60.0,
    this.maxHeight = 150.0,
    this.pinned = false,
  });

  final Widget insideWidget;
  final double minHeight;
  final double maxHeight;
  final bool pinned;

  @override
  Widget build(BuildContext context) {
    return SliverPersistentHeader(
      pinned: pinned,
      floating: false,
      delegate: YLVZoomHeaderDelegate(
        minHeight: minHeight,
        maxHeight: maxHeight,
        child: insideWidget,
      )
    );
  }
}
