import 'package:flutter/material.dart';

class ContractedBarProvider extends ChangeNotifier {
  bool _isContracted = false;

  // If the header is contracted, only has appbar height, set TRUE.
  bool get isContracted => _isContracted;

  void contractStatusChange(bool isCont) {
    _isContracted = isCont;
    notifyListeners();
  }
}