import 'package:yflutter_widgets/widgets/tabbar/tabbar_item.dart';
import 'package:yflutter_widgets/widgets/tabbar/ytabbar.dart';
import 'package:flutter/material.dart';

int _currentIndex = 0;
class TabBarDemo extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("TabBar Demo"),
      ),
      body: Container(),
      bottomNavigationBar: YTabBar(
        selectedIndex: _currentIndex,
        barItems: [
          YTabBarItem(iconAsset: Icon(Icons.access_alarms_sharp), title: "1"),
          YTabBarItem(iconAsset: Icon(Icons.access_alarms_sharp), title: "2"),
          YTabBarItem(iconAsset: Icon(Icons.access_alarms_sharp), title: "3"),
        ],
        onSelected: (index) {
          _currentIndex = index;
        },
      )
    );
  }
}

